Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Class WriteObjectQuery

`java.lang.Object
oracle.toplink.queryframework.DatabaseQuery
oracle.toplink.queryframework.ModifyQuery
oracle.toplink.queryframework.ObjectLevelModifyQuery
oracle.toplink.queryframework.WriteObjectQuery`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  InsertObjectQuery, UpdateObjectQuery

public class WriteObjectQuery
extends ObjectLevelModifyQuery

Purpose: Used for inserting or updating objects WriteObjectQuery determines whether to perform a insert or an update on the database.

Responsibilities:

- Determines whether to perform a insert or an update on the database.
- Stores object in identity map for insert if required.

Since:
  TOPLink/Java 1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.queryframework.DatabaseQuery
`CascadeAggregateDelete, CascadeAllParts, CascadeByMapping, CascadeDependentParts, CascadePrivateParts, NoCascading`

Constructor Summary
`WriteObjectQuery()`
`WriteObjectQuery(Call call)`
`WriteObjectQuery(java.lang.Object objectToWrite)`

Method Summary
`boolean` | `isWriteObjectQuery()` PUBLIC: Return if this is a write object query.

Methods inherited from class oracle.toplink.queryframework.ObjectLevelModifyQuery
`getObject, getObjectChangeSet, getReferenceClass, isObjectLevelModifyQuery, setObject, toString`

Methods inherited from class oracle.toplink.queryframework.ModifyQuery
`forceBatchStatementExecution, isModifyQuery, setForceBatchStatementExecution`

Methods inherited from class oracle.toplink.queryframework.DatabaseQuery
`addArgument, addArgument, addArgument, addArgumentValue, addArgumentValues, addCall, addStatement, bindAllParameters, cacheStatement, cascadeAllParts, cascadeByMapping, cascadePrivateParts, dontBindAllParameters, dontCacheStatement, dontCascadeParts, dontMaintainCache, getCall, getCalls, getDatasourceCall, getDatasourceCalls, getEJBQLString, getHintString, getName, getQueryTimeout, getRedirector, getSelectionCriteria, getSessionName, getSQLStatement, getSQLString, getSQLStrings, getTranslatedSQLString, getTranslatedSQLStrings, hasSessionName, ignoreBindAllParameters, ignoreCacheStatement, isCallQuery, isDataModifyQuery, isDataReadQuery, isDeleteObjectQuery, isExpressionQuery, isInsertObjectQuery, isObjectLevelReadQuery, isReadAllQuery, isReadObjectQuery, isReadQuery, isReportQuery, isSQLCallQuery, isUpdateAllQuery, isUpdateObjectQuery, maintainCache, prepareCall, setCall, setDatasourceCall, setEJBQLString, setHintString, setName, setQueryTimeout, setRedirector, setSelectionCriteria, setSessionName, setShouldBindAllParameters, setShouldCacheStatement, setShouldMaintainCache, setShouldPrepare, setShouldUseWrapperPolicy, setSQLStatement, setSQLString, shouldBindAllParameters, shouldCacheStatement, shouldCascadeAllParts, shouldCascadeByMapping, shouldCascadeParts, shouldCascadePrivateParts, shouldIgnoreBindAllParameters, shouldIgnoreCacheStatement, shouldMaintainCache, shouldPrepare, shouldUseWrapperPolicy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WriteObjectQuery

    public WriteObjectQuery()

### WriteObjectQuery

    public WriteObjectQuery(java.lang.Object objectToWrite)

### WriteObjectQuery

    public WriteObjectQuery(Call call)

Method Detail

### isWriteObjectQuery

    public boolean isWriteObjectQuery()

  PUBLIC: Return if this is a write object query.
  Overrides:
    `isWriteObjectQuery` in class `DatabaseQuery`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD